com.singularsys.jep.misc

## Class ExtendedOperatorSet

- java.lang.Object
- - com.singularsys.jep.EmptyOperatorTable
  - - com.singularsys.jep.OperatorTable2
    - - com.singularsys.jep.standard.StandardOperatorTable2
      - - com.singularsys.jep.misc.ExtendedOperatorSet

- All Implemented Interfaces:
    JepComponent, OperatorTableI, java.io.Serializable

      public class ExtendedOperatorSet
      extends StandardOperatorTable2

  A example of an OperatorSet which adds two suffix operators: n! (factorial) and n% (percentage).

  Since 3.5 the ternary conditional has been removed as this is already part of the JavaOperatorSet. The Factorial function has been moved from an inner class to its own class `Factorial`.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExtendedOperatorSet.ExtendedOperators`

    - ### Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2

      `OperatorTable2.BasicOperators, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

    - ### Nested classes/interfaces inherited from class com.singularsys.jep.EmptyOperatorTable

      `EmptyOperatorTable.OperatorKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedOperatorSet()`
    `ExtendedOperatorSet(OperatorTable2 oldTable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setExtendedPfmcs()`

    - ### Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable2

      `setBasicPfmcs, setPsudoPfmcs, setSpecialPfmcs`

    - ### Methods inherited from class com.singularsys.jep.OperatorTable2

      `getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus`

    - ### Methods inherited from class com.singularsys.jep.EmptyOperatorTable

      `addOperator, addOperator, appendOperator, entrySet, getKey, getLightWeightInstance, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, init, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setGroupOperatorRelations, setGroupOperatorRelations, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedOperatorSet

          public ExtendedOperatorSet()

    - #### ExtendedOperatorSet

          public ExtendedOperatorSet(OperatorTable2 oldTable)

      Parameters:
        `oldTable` -

  - ### Method Detail

    - #### setExtendedPfmcs

          protected void setExtendedPfmcs()

Copyright © 2018 Singular Systems http://www.singularsys.com/jep